body {
    width: 100%;
    height: 100%;
    .user-select(none);
    color: @gray-deep;

    &.safari {
        position: absolute;
        left: 0;
        top: 0;
        right: 0;
        bottom: 0;
        overflow: scroll;

        &::-webkit-scrollbar {
            width: 0;
            height: 0;
        }

        #viewport {
            overflow: scroll;

            &::-webkit-scrollbar {
                width: 0;
                height: 0;
            }
        }
    }
}

label {
    margin-bottom: 0;
    font-weight: normal;
}

#viewport {
    position: absolute;
    left: 0;
    top:0;
    right: 0;
    bottom: 0;
    background-color: @gray-light;
    overflow: hidden;
}

.layout-region {
    width: 100%;
    height: 100%;
    border-collapse: collapse;
    table-layout: fixed;

    .row {
        display: table-row;
    }

    .cell {
        display: table-cell;
    }

    .layout-resizer {
        background-color: transparent;
    }
}

.tooltip.main-info {
    z-index: @zindex-popover;

    .tooltip-inner {
        max-width: none;
    }
}

#left-panel-history {
    left: 40px;
    width: 300px;
    height: 100%;
    display: none;
}

#editor-container {
    background: #F8F9FA;
}

#editor_sdk {
    width: 100%;
    height: 100%;
}
